package com.prolog.rdc.tms.service.message;

import com.prolog.rdc.tms.model.dto.message.SendMessageDTO;
import com.prolog.rdc.tms.model.vo.message.MessageJobVO;

/**
 * @author hongbo.pan
 * @date 2022/11/16
 */
public interface SendMessageService {

    /**
     * 发送消息
     * @param sendMessageDTO
     */
    void send(SendMessageDTO sendMessageDTO);

    /**
     * 发送消息
     * @param sendMessageDTO
     */
    void sendLocal(SendMessageDTO sendMessageDTO);

    /**
     * sendPickUpMessage
     * @param vo
     */
    void sendPickUpMessage(MessageJobVO vo);

    /**
     * sendDeliveryMessage
     * @param vo
     */
    void sendDeliveryMessage(MessageJobVO vo);

    /**
     * sendReceiptMessage
     * @param vo
     */
    void sendReceiptMessage(MessageJobVO vo);

    /**
     * sendTemperatureMessage
     * @param vo
     */
    void sendTemperatureMessage(MessageJobVO vo);

}
